UpdateGroupOwner
/api/v1/groups/{group}/owners/{owner}Update a group ownership, such as when it expires.
Example request
Section titled “Example request”curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://us.oblique.security/api/v1/groups/{group}/owners/{owner}?updateMask=owner"Set OBLIQUE_API_KEY to your API key.
curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://eu.oblique.security/api/v1/groups/{group}/owners/{owner}?updateMask=owner"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”groupOwner.namestringrequiredAssigned by Oblique. Name of the owner of the format
groups/{group}/owners/{owner}.
Query parameters
Section titled “Query parameters”allowMissingbooleanIf set to true, and the group owner is not found, a new group owner will be created with the given name. If created in this way,
update_maskis ignored.updateMaskstring (field-mask)The list of fields to update.
Request body
Section titled “Request body”ownerstringrequiredThe owner of the group.
updateTimestring (date-time)read-onlyThe time when this object was last updated.
createTimestring (date-time)read-onlyThe time when this object was created.
managementManagementHow this ownership is managed. Inherited from the parent group: owners of Terraform-managed groups are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent group to change this. Omitted from responses when the parent group is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
Response
Section titled “Response”200GroupOwnernamestringAssigned by Oblique. Name of the owner of the format
groups/{group}/owners/{owner}.ownerstringrequiredThe owner of the group.
updateTimestring (date-time)read-onlyThe time when this object was last updated.
createTimestring (date-time)read-onlyThe time when this object was created.
managementManagementHow this ownership is managed. Inherited from the parent group: owners of Terraform-managed groups are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent group to change this. Omitted from responses when the parent group is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |